Subject: RE: [lojban] ce'u

From: "And Rosta" <[email-masked]>
Date: Sat, 18 Aug 2001 07:22:26 +0100

[this message not meant to sound as grumpy and hectoring as it
probably does.]

Nick:
> There has been a fairly icky exchange on ce'u in
> http://nuzban.wiw.org/wiki/index.php?ce%27u . I am disinclined to say
> anything about this anymore, but this does have to be cleared up for the
> lessons, and the final lesson discusses ce'u.

It probably shouldn't. Yes, it's something the average lojban user does
need to know, but at the same time it's subject to a lot of debate that
cannot be cleared up in just a day or two's worth of discussion. And the
lessons will be normative, so whatever they say will become Official.

> So here goes.
>
> I will try and (a) break this up into digestible issues; (b) not be
> partisan.
>
> 1. Implicit in much of the misunderstandings on that discussion is the
> following issue: is it meaningful to speak of an abstraction containing
> ce'u, outside a bridi? That is, can ce'u be filled with a value that does
> not come from the jufra containing it?
>
> If it can, then one can say things like {leka *mi* gleki cu xamgu do}
> (where {mi} fills the {ce'u} slot --- I'm avoiding {ce'u} for now.)

One can say {le ka ce'u gleki cu xamgu do}, but not with ce'u construed
as "mi". It would mean "The property of being happy...".

{le ka mi gleki} if it means anything would mean the same as {le du'u
mi gleki}.

> If it cannot, then a sentence like this is meaningless: you should be
> saying {lenu mi gleki cu xamgu do},

Certainly if lenu is semantically appropriate then leka is not, since
events and properties are completely different sorts of thing.

> and reserving {ka} with filled {ce'u}
> slots for bridi where the filler is in the same jufra; e.g. {do fange mi
> leka ce'u pinxe loi tcati}.

If a "filled {ce'u} slot" is one where overt or covert ce'u is construed
as (speaking loosely) coreferential with another sumti outside this
abstraction, then such an interpretation has to be mandated by the
selbri of which the ka abstraction is a sumti. It is not sufficient for
the filler to simply be in the same sentence.

> As an extension of this, filling {ce'u} slots might even 'be considered
> harmful'; something wih an explicit value instead of {ce'u} is no longer a
> property at all.

That's right.

> 2. If you allow {ce'u} slots to be filled by explicit sumti, how should
> you fill them?
>
> Nicholas in the Lessons proposes {le ka ce'u xendo fa mi}.
>
> Nicholas in the Lessons and Wiki proposes and adopts {le ka ce'u no'u mi
> xendo}
>
> Raizen (if I interpret him correctly) does not believe {ce'u} slots should
> be filled by explicit sumti, but will allow as a "lesser of evils" the
> expression {le ka mi zo'u ce'u xendo}
>
> Recent discussion on the list (Rosta, Llambias) has suggested an x2 of
> {ka}: {le ka ce'u xendo kei be mi}. This would bring {ka} in line with
> {li'i}. (As a side note, it has also been proposed on the Wiki that {li'i}
> abstractions should contain a {ce'u}. This would make {ka} and {li'i}
> behave identically.)

Certainly {se ka} would be useful, and li'i does need something like
ce'u, though ke'a would be more appropriate (because there is only
one experiencer per li'i, and multiple ke'as are coindexed but multiple
ce'u are not[*]); in fact, for the same reasons, ke'a would be more
appropriate than ce'u in se ka, because se ka would be specifically
for one-place functions, whereas ka is for one- and many- place
functions.

[* This is the rationale for having ce'u instead of just using
ke'a.]

But anyway, if you have a mechanism for "filling" ce'u, you also need
a mechanism for unfilling it, since the primary (and, I'd agree
with Adam, only proper) function of ka is to define one- and many-
place relations.

> (Editorial note: I would be delighted to put this into the lessons
> instead, if it is considered not to violate the cmavo baseline. Otherwise,
> I don't feel I can.)

I think you should definitely include only kosher "unfilled" ce'u.

> 3. If a {ka}-phrase is lacking {ce'u}, where should it be read in by
> default?
>
> If you believe {ka}-phrases can have filled {ce'u} values, then whether or
> not a sumti place is empty does not necessarily affect where that value can be
> read in. If you believe {ka}-phrases should not have filled {ce'u} values,
> then the default place to read {ce'u} must be an empty place.
>
> Nicholas holds the former, and believes the default should be x1. Rosta
> has expressed himself similarly.

When? I think omitting {ce'u} is a very bad thing. If they are omitted
they should covertly occur somewhere where a covert zo'e occurs. Any
convention for the default to be x1 will make matters worse, for reasons
I listed in a recent message to Xod, which I can dig up if required.
(Search archives for "gardenpath".)

> Raizen (I think) holds the latter, and believes the default should be the
> first available empty space. This makes {ce'u} behave identically to
> {ke'a}.

The convention is also a bad thing for ke'a, too. But certainly I'd
always taken for granted that the same conventions applied to both
ke'a and ce'u, however objectionable the conventions are.

> Cowan has said that the location of {ce'u} should be glorked from context.
> (In response to which, Nicholas wants the status of {ce'u} interpretation
> to be the same as that of {ke'a}: default and defeasible.

Defeasible how? Only by filling every sumti place, and either filling
them with something other than zo'e or agreeing that zo'e cannot be
read as ce'u.

> As a reminder,
> the location of {ke'a} is also primarily meant to be glorked from
> context.)
>
> xod may or may not be changing his mind about this; his initial position,
> at least, is that usage is that {ce'u} and {ke'a} are elided only in x1,
> and are not inserted in already filled places.
>
> In the Reference Grammar, Examples 11.4.7 and 11.4.8 clearly treat elided
> {ce'u} like {ke'a} (Raizen): {le ka mi prami} = {le ka mi prami ce'u}
> "the property of (I love X). Example 11.4.4. just as clearly treats elided
> {ce'u} as occupying a filled x1 slot (Nicholas): {le ka do xunre} "The
> property-of your being-red" = "Your redness".

That example is an error, and should be {le nu}.

> The reason for the difference is
> obvious, on inspection. 11.4.7 has a 'bounded' {ka}-clause: {la djan. cu
> zmadu la djordj. le ka mi prami ce'u} --- {ce'u} is bounded to {djan} and
> {djordj} in the nesting abstraction. In linguistic terminology, it is a
> c-commanded anaphor. 11.4.4 has a 'free' {ka}-clause: {le ka do xunre
> [kei] cu cnino mi}, where the {ka}-clause is x1. Note the counterexample of
> 11.4.3, in which the {ce'u} is now empty, and the {ka}-clause is
> (arguably) not 'free': {do cnino mi le ka xunre [kei]}.

This seems analogous to the zmadu case. The binding of ce'u is effected
by the predicate.

If we're using linguistic terminology, then the best analogy is with PRO,
which can either be controlled (=bound, e.g. "I enjoy PRO shooting people") or
uncontrolled ("PRO shooting people is illegal"

A difference is that you can't have multiple noncoindexed PROs in the
same clause.

> To me, this indicates that the refgramm does not favour either mechanism
> of resolving the location of {ce'u}. Rather, its usage implies yet another
> way of resolving elided {ce'u} --- apparently dependent on Natural
> Language notions of anaphor bondedness. If {ce'u} would be c-commanded in
> the {ka}-clause (ce'u = la djordj, la djan), put it in the first empty
> place. If {ce'u} would be free in the {ka}-clause (the {ka}-clause is
> x1, there's no plausible antecedent noun), treat it as the x1 slot, empty or
> not.

In a way this is an admirable attempt to read sense into official usage.
But if we are allowed to entertain the idea that official usage might be
wrong, then here's how I see it.

1. If ce'u is bound, it is the semantics of the matrix selbri that binds
it. A syntactic notion of c-command is too general.

2. Ideally, don't omit ce'u. If you do omit ce'u, they should be insertable
only in empty slots. A convention for putting ce'u in an empty x1 slot
is convenient but creates problems.

3. Unbound ce'u has a generic interpretation: {ka (da) prami ce'u} =
"the property of being loved", {ka ce'u prami ce'u} = "Love"

> I am not saying such a rule would be good for Lojban; in fact, I'd say the
> opposite. But I think this is what John was unconsciously doing.
>
> ***
>
> Now for the editorial. Actually, I'll be mercifully brief: I now think
> there is something wrong about {le ka mi xendo cu xamgu do}. I'm almost
> prepared to concede that {ka} should not be a free agent, like {nu} and
> {du'u}, but restricted to bridi contexts which can plausibly supply the
> means of filling in the value of {ce'u}.

No. We want to be context-independently able to talk about Love and about
Belovedness. {ce'u} with {du'u} would do just as well as {ce'u} within
{ka}, but the current received wisdom is that a ka is merely a du'u that
promises it contains a covert or overt ce'u.

> However, I also think the
> mechanism of filling in the value of {ce'u} should be local to the
> {ka}-clause, for clarity if nothing else.

I think you're unconsciously taking the PRO analogy too seriously.
Bound PRO functions as an anaphor, very much like {le no'a}, and it
can perfectly well occur within the English equivalent of nu clauses.
Ce'u is not an anaphor.

> And I think that making {ka} and
> {li'i} behave uniformly, so that both take {ce'u} and both take x2, would
> be a very good thing.

I could live with them both using ke'a, and then using ce'u in du'u.

> The primary baseline concern, as I understand it, is not to invalidate
> existing text.

... a concern that I have blithely ignored. I mean, if your choice is
invalidate existing text and be rational/logical, xor not invalidate
existing text but be irrational/illogical, which do you choose? (Yes,
yes, I know: the majority of the community would choose the latter,
no matter how much I expostulatingly foam at the mouth.)

> In my opinion, an added x2 for {ka} won't invalidate text;

Does any text contain ka with multiple noncoreferential ce'u? If so,
this would be incompatible with x2 for {ka}.

Although I did propose an x2 for {ka}, I was thinking that {ka}
would turn into a sumti-tail version of a relative clause, and
that the main function of old ka could be shifted onto du'u.

> and an x1 default for {ce'u}, filled or not, is also the
> solution that invalidates the least existing text.

No. The solution that invalidates the least, as well as being the best
solution that is compatible with usage, is to not have a default.

> For different reasons,
> though (sacredness of cmavo list, logical messiness of x1 default), I am
> pessimistic about either being adopted.

Good!

(Sorry if this reply is every bit as curmudgeonly as you declared me
to wax, but I'm at the end of a nsn-like day and a half at the computer
and am trying to get this finished nw because I probably won't be able
to attend to Lojban during the coming week.)

--And.